# Monitoring plugin to check if pip upgrades is available

This Icinga/Nagios check plugin permit to check if pip upgrades is available.

## Installation

```
apt install git
git clone https://gitea.zionetrix.net/bn8/check_pip_upgrade.git /usr/local/src/check_pip_upgrade
mkdir -p /usr/local/lib/nagios/plugins
ln -s /usr/local/src/check_pip_upgrade/check_pip_upgrade /usr/local/lib/nagios/plugins/
echo "command[check_pip_upgrade]=/usr/local/lib/nagios/plugins/check_pip_upgrade" > /etc/nagios/nrpe.d/pip.cfg
service nagios-nrpe-server reload
```

## Usage

```
usage: check_pip_upgrade [-h] [-d] [-b BIN] [packages ...]

positional arguments:
  packages           Python package(s) to check. By default, all installed packages are checkesd.

optional arguments:
  -h, --help         show this help message and exit
  -d, --debug
  -b BIN, --bin BIN  Python binary path
```

## Copyright

Copyright (c) 2022 Benjamin Renard <brenard@zionetrix.net>

## License

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 3 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
